- hosts: all  
  become: yes
  pre_tasks:
    - name: Update all packages
      include: "{{ ansible_facts['distribution']}}-{{ ansible_facts['distribution_major_version']}}.yml"

  roles: 
    - libvirt
